Bug 8066 - Не поддерживается UNICODE
: Не поддерживается UNICODE
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/vim-minimal)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 16073
  Show dependency tree
 
Reported: 2005-09-27 16:21 by
Modified: 2008-10-23 01:13 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-27 16:21:25
В vi (не vim) не поддерживается unicode. Оно бы и ничего, но этот vi входит в
Compact 3.0-rc7, где основная кодировка ru_RU.UTF-8. Надо бы для них сделать
что-то вроде vim-minimal-unicode...
Steps to Reproduce:
1. Установить ALC3.0-rc7
2. Зайти русскоязычным пользователем
3. Попробовать отредактировать что-либо русское в vi
------- Comment #1 From 2005-09-27 16:34:52 -------
apt-get install vim-console
------- Comment #2 From 2005-09-27 17:12:06 -------
Но исправить-то надо. Перевесьте на rider@, пожалуйста.
------- Comment #3 From 2005-09-27 17:13:16 -------
Или я сам перевешу :)
------- Comment #4 From 2005-09-27 17:21:42 -------
Народ, не страдайте ерундой.  Есть специально обученый vim-console.
------- Comment #5 From 2005-09-27 17:23:50 -------
vim-console должен быть установлен, ибо вместе с vim-minimal он входит в
базовую
систему.

Подозреваю что vi и vim - это разные команды и последняя - как раз vim-console.
А первая - vim-minimal.

Reassign обратно, ибо то, что vim-minimal не поддерживает unicode - это правда.
------- Comment #6 From 2005-09-27 17:25:55 -------
да, сейчас после установки выглядит так:

vi - не работает с UTF-8
vim - все нормально.


vim-minimal невозможно не устанавливать в систему, ибо:
$ apt-cache whatdepends vim-minimal                                            
                                          
vim-minimal-4:6.3.086-alt1
  vitmp-1.0-alt2
    Требует: vim-minimal
  basesystem-1:sisyphus-alt13
    Требует: vim-minimal
------- Comment #7 From 2005-09-27 17:29:20 -------
Raorn, а что препятствует добавлению поддержки UTF-8 в vim-minimal ?

Коль уж мы говорим, что у нас все будет в Unicode в обозримом будущем.
------- Comment #8 From 2005-09-27 18:08:30 -------
Я не понимаю зачем он там нужен, если есть vim во многих вариантах.
------- Comment #9 From 2005-09-27 18:40:42 -------
Я собрал ортодоксальный vi с поддержкой UNICODE и вообще posix
(http://ex-vi.sourceforge.net/). Он маленький и хорошенький.
Только чтобы развязаться с vim-minimal, надо прямую зависимость из basesystem и
vitmp вынести. Это Диму пинать (он, кажется маёнтейнит обе)?
------- Comment #10 From 2005-09-27 19:09:46 -------
Он умеет сохранять POSIX ACL?